︠f78a831b-5100-422f-b28e-dbdcbee4db75i︠
%html
<h1>Simple chemical reaction in an &nbsp;ideally mixed stirred-stank reactor</h1>

︡2bc2d1cd-91ae-419f-8882-c3eba4c2cd1f︡{"html": "<h1>Simple chemical reaction in an &nbsp;ideally mixed stirred-stank reactor</h1>"}︡
︠fe834734-54fb-4514-ab91-20348a46a035︠
import numpy as np
import scipy.integrate as sci
import pylab as pl

k = 0.01    # reaction rate constant (s-1)
9
y0 = [5, 0]
tspan = np.arange(0., 600., 0.1)

def balances(y, t):
    global k
    cA, cB = y
    
    dcA = -k * cA
    dcB = k * cA
    
    return [dcA, dcB]
    
y = sci.odeint(balances, y0, tspan)

pl.plot(tspan, y)
pl.xlabel("Time (s)", weight="bold")
pl.ylabel("Concentration (mol/L)", weight="bold")
pl.legend(("cA", "cB"))
pl.title(u"Profile de concentration d'une réaction de type A -> B \ndans un réacteur batch", weight="bold")
pl.savefig('simple_plot')
pl.show()
︡db9ddce3-5bd7-4d83-b87c-2e6542105042︡︡
